Create Order V2

Create an order with enhanced route management capabilities. This v2 endpoint supports external route references and stop sequencing for multi-stop route optimization.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
integer

Total value of all items in the order.

string

Merchant-provided delivery identifier. Commonly used for merchants to cross-reference orders from Burq API with their own system. When provided, this is also used as "order number" and used by drivers to find the right order at pickup location.

string

External route reference identifier. Used to group multiple orders that belong to the same route in your system. This allows tracking and managing orders as part of a planned delivery route.

integer

Sequence number indicating this order's position within a route (e.g., 1 for first stop, 2 for second stop). Used in conjunction with external_route_ref to maintain stop ordering. Must be a positive integer.

items
array of objects
required

List of items to be delivered.

items*
integer

Tips for the driver. Burq forwards all tips to the delivery providers.

required_provider_settings
object

Required provider settings for barcode scanning at pickup and dropoff. Use this to specify barcode scanning requirements that must be supported by the delivery provider.

preferred_provider_settings
object

Preferred provider settings do not affect quote availability nor quote selection. When a quote is selected, either explicitly via quote_id, or automatically based on pricing, any supported settings from this configuration will be passed to the provider. Unsupported settings are ignored. Preferred provider settings are evaluated during reroute.

pickup
object
required

Pickup location details. All address-related fields for the pickup location are nested in this object. Either provide store_id OR provide address, phone_number, and name.

dropoff
object
required

Dropoff location details. All address-related fields for the dropoff location are nested in this object. Either provide store_id OR provide address, phone_number, and name.

boolean

Indicates whether items contain an alcoholic ingredient.

float

Length of the order package.

float

Width of the order package.

float

Height of the order package.

float

Weight of the order package.

string
enum

unit for order dimension. Defaults to inches (in) if not provided.

Allowed:
string
enum

unit for order weight. Defaults to pounds (lb) if not provided.

Allowed:
Headers
string
required

Burq API key for your account.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json